Summary: Sed (stream editor) is a non-interactive command-line text editor.

Name: sed
Version: 4.9
Release: 2%{?dist}
License: GPLv3+
URL: https://www.gnu.org/software/sed/

Source0: ftp://ftp.gnu.org/pub/gnu/sed/sed-%{version}.tar.xz

Patch3001: 0001-sed-b-flag.patch
Patch3002: 0002-sed-c-flag.patch

BuildRequires: make automake autoconf gcc glibc-devel libselinux-devel libacl-devel
BuildRequires: perl-Getopt-Long perl(FileHandle)

Provides: /bin/sed
Provides: bundled(gnulib)

%description
Sed is commonly used to filter text, i.e., it takes text input, performs some operation (or set of operations) on it, and outputs the modified text. sed is typically used for extracting part of a file using pattern matching or substituting multiple occurrences of a string within a file.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --without-included-regex
%make_build

%check
make check

%install
%make_install
rm -f ${RPM_BUILD_ROOT}/%{_infodir}/dir

%files
%license COPYING 
%doc BUGS NEWS THANKS README AUTHORS
%{_infodir}/sed.info*
%{_mandir}/man1/sed.1*
%{_datadir}/locale/*
%{_bindir}/sed

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9-2
- Rebuilt for loongarch release

* Tue Sep 12 2023 kianli <kianli@tencent.com> - 4.9-1
- Upgrade to 4.9

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.8-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Apr 26 2022 jackbertluo <jackbertluo@tencent.com> - 4.8-1 
- Initial build
